SystemOrganization addCategory: #'MC2-Development-Builds'!

MDProduct subclass: #MDAbstractMc2Product
	instanceVariableNames: 'release'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Development-Builds'!

!MDAbstractMc2Product class methodsFor: 'as yet unclassified' stamp: 'cwp 11/10/2009 00:44'!
build: aString
	^ (self release: aString) build! !

!MDAbstractMc2Product class methodsFor: 'as yet unclassified' stamp: 'cwp 11/10/2009 00:44'!
release: aString
	^ self basicNew initializeWithRelease: aString! !

!MDAbstractMc2Product methodsFor: 'paths' stamp: 'cwp 11/10/2009 01:16'!
cacheRepository
	^ self squeakLibrary / 'package-cache'! !

!MDAbstractMc2Product methodsFor: 'initialize-release' stamp: 'cwp 11/10/2009 00:44'!
initializeWithRelease: aString
	self initialize.
	release := aString
	! !

!MDAbstractMc2Product methodsFor: 'paths' stamp: 'cwp 11/10/2009 01:16'!
scriptsDirectory
	^ self squeakLibrary / 'scripts'! !

!MDAbstractMc2Product methodsFor: 'specifying' stamp: 'cwp 11/10/2009 00:58'!
specifyPackagesOn: targets 
	MDMetacelloProduct new
		configuration: ConfigurationOfMonticello2 new;
		specifyOn: targets! !

!MDAbstractMc2Product methodsFor: 'paths' stamp: 'cwp 11/10/2009 01:16'!
squeakLibrary
	^ FSDiskFilesystem / 'Users' / 'colin' / 'Library' / 'Squeak'! !

!MDAbstractMc2Product methodsFor: 'paths' stamp: 'cwp 11/10/2009 01:16'!
squeakTrunkImage
	^ self squeakLibrary / 'base' / 'Squeak3.10.2-Trunk-090912' / 'Squeak3.10.2-trunk.image'! !

MDAbstractMc2Product subclass: #MDDistProduct
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Development-Builds'!

!MDDistProduct methodsFor: 'accessing' stamp: 'cwp 11/10/2009 00:14'!
sarName
	^ 'Monticello-', release, '.sar'! !

!MDDistProduct methodsFor: 'specifying' stamp: 'cwp 11/10/2009 00:45'!
specifyOn: targets 
	targets zip
		name: self sarName;
		with: [ self specifyPackagesOn: targets ]! !

MDAbstractMc2Product subclass: #MDLoadOrderProduct
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Development-Builds'!

!MDLoadOrderProduct methodsFor: 'as yet unclassified' stamp: 'cwp 11/10/2009 01:06'!
specifyOn: targets
	self testPackages do: [:ea | self specifyTest: ea on: targets]! !

!MDLoadOrderProduct methodsFor: 'as yet unclassified' stamp: 'cwp 11/10/2009 21:56'!
specifyTest: aString on: targets
	targets directory name: aString; with:
		[targets image
			baseImage: self squeakTrunkImage;
			name: 'load';
			with:
				[MDMetacelloProduct new
					configuration: ConfigurationOfMonticello2 new;
					version: release;
					required: aString;
					specifyOn: targets].
		targets tests 
			name: 'tests';
			imagePath: 'load';
			with: [targets suite package: aString]]! !

!MDLoadOrderProduct methodsFor: 'as yet unclassified' stamp: 'cwp 11/11/2009 20:54'!
testPackages
	| group |
	group := self version groups detect: [ :ea | ea name = 'Tests' ].
	^ group includes asSet! !

!MDLoadOrderProduct methodsFor: 'as yet unclassified' stamp: 'cwp 11/10/2009 01:01'!
version
	^ release
		ifNil: [ConfigurationOfMonticello2 latestVersion]
		ifNotNil: [ConfigurationOfMonticello2 version: release]! !
